=== debian/changelog ===
emacs-wgrep (2.3.2+9.gf0ef9bf-2) unstable; urgency=medium

  * Mention helm-ag in elpa-wgrep-helm's long description.
  * Do source-only upload to unblock migration to testing.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 24 Jul 2020 19:44:26 -0400

emacs-wgrep (2.3.2+9.gf0ef9bf-1) unstable; urgency=medium

  * Initial release. (Closes: #944986)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Wed, 10 Jun 2020 21:10:28 -0400
