=== debian/control ===
Source: emacs-wgrep
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
Build-Depends: debhelper-compat (= 13)
             , dh-elpa
             , elpa-ag <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/mhayashi1120/Emacs-wgrep
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-wgrep
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-wgrep.git
Testsuite: autopkgtest-pkg-elpa

Package: elpa-wgrep
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: edit multiple Emacs buffers using a master grep pattern buffer
 Wgrep provides master pattern buffers that are then used to edit multiple
 Emacs buffers simultaneously.  In this sense it is like what a REPL for sed
 would look like.  With the exception of "pattern buffers" it is similar to
 the Emacs built-in functions `replace-regexp` and `query-replace`.  Wgrep
 also provides backends that use Ack and The Silver Searcher.
 .
 This package provides the core library and wgrep-mode.

Package: elpa-wgrep-ack
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}, ack
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: edit multiple Emacs buffers using a master ack pattern buffer
 Wgrep provides master pattern buffers that are then used to edit multiple
 Emacs buffers simultaneously.  In this sense it is like what a REPL for sed
 would look like.  With the exception of "pattern buffers" it is similar to
 the Emacs built-in functions `replace-regexp` and `query-replace`.  Wgrep
 also provides backends that use Ack and The Silver Searcher.
 .
 This package enables support for Ack.

Package: elpa-wgrep-ag
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}, silversearcher-ag
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: edit multiple Emacs buffers using a master ag pattern buffer
 Wgrep provides master pattern buffers that are then used to edit multiple
 Emacs buffers simultaneously.  In this sense it is like what a REPL for sed
 would look like.  With the exception of "pattern buffers" it is similar to
 the Emacs built-in functions `replace-regexp` and `query-replace`.  Wgrep
 also provides backends that use Ack and The Silver Searcher.
 .
 This package enables support for The Silver Searcher.

Package: elpa-wgrep-helm
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: edit multiple Emacs buffers with a helm-grep-mode buffer
 Wgrep provides master pattern buffers that are then used to edit multiple
 Emacs buffers simultaneously.  In this sense it is like what a REPL for sed
 would look like.  With the exception of "pattern buffers" it is similar to
 the Emacs built-in functions `replace-regexp` and `query-replace`.  Wgrep
 also provides backends that use Ack and The Silver Searcher.
 .
 This package enhances helm-grep-mode buffers with Wgrep's facilities, and is
 similar to helm-ag.
