=== debian/changelog ===
emacs-wgrep (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Update my email address.
  * Drop version qualifier from the Recommends for emacs, because even oldstable
    has a new enough version.
  * Update upstream copyright years.
  * Declare Standards-Version 4.6.2 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Tue, 14 Feb 2023 18:53:31 -0500
