=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/Emacs-wgrep-$1.tar.gz/" \
    https://github.com/mhayashi1120/Emacs-wgrep/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
