=== debian/changelog ===
emacs-wgrep (3.0.0+20.g208b9d0-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * Keep wgrep-test-helper.el in autopkgtest to fix missing file issue.
  * Add d/upstream/metadata.

  [ Xiyue Deng and Nicholas D Steeves ]
  * Import additional upstream work on wgrep-test and wgrep-test-helper, and
    squash it into 0002-fix-test-extra-loading.patch.

  [ Nicholas D Steeves ]
  * Import a snapshot of upstream at commit:208b9d0, because it appears that
    upstream intended for b36bf59 (three commits prior) to be 3.0.1.  Of the
    work since then, one commit is a bugfix for tests, one is Emacs 28
    linting, and one is irrelevant to the Debian package.
  * Rebase quilt series onto this snapshot.
  * Drop 0002-fix-test-extra-loading.patch.
  * Add 0002-Skip-wgrep-deadgrep-normal.patch.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 23 Jan 2024 14:20:40 -0500

emacs-wgrep (3.0.0-2) unstable; urgency=medium

  * Team upload.
  * Add patch to move common test utility to a separate module to avoid
    double loading existing ert-deftests. (Closes: #1057559)
  * Add Upstream-Contact to d/copyright.

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 06 Dec 2023 17:09:52 -0800
