=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: editors
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
+Uploaders: Nicholas D Steeves <sten@debian.org>
 Build-Depends: debhelper-compat (= 13)
              , dh-elpa
              , elpa-ag <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/mhayashi1120/Emacs-wgrep
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-wgrep
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-wgrep.git
@@ -16,7 +16,7 @@
 Package: elpa-wgrep
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: edit multiple Emacs buffers using a master grep pattern buffer
  Wgrep provides master pattern buffers that are then used to edit multiple
@@ -30,7 +30,7 @@
 Package: elpa-wgrep-ack
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}, ack
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: edit multiple Emacs buffers using a master ack pattern buffer
  Wgrep provides master pattern buffers that are then used to edit multiple
@@ -44,7 +44,7 @@
 Package: elpa-wgrep-ag
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}, silversearcher-ag
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: edit multiple Emacs buffers using a master ag pattern buffer
  Wgrep provides master pattern buffers that are then used to edit multiple
@@ -58,7 +58,7 @@
 Package: elpa-wgrep-helm
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: edit multiple Emacs buffers with a helm-grep-mode buffer
  Wgrep provides master pattern buffers that are then used to edit multiple
